package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Authentication timeout time. Display when enabled, otherwise no display.
 */
@ApiModel(description = "Authentication timeout time. Display when enabled, otherwise no display.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class AuthTimeOpenApiVo   {
  @JsonProperty("authTimeout")
  private Integer authTimeout;

  @JsonProperty("customTimeout")
  private Integer customTimeout;

  @JsonProperty("customTimeoutUnit")
  private Integer customTimeoutUnit;

  public AuthTimeOpenApiVo authTimeout(Integer authTimeout) {
    this.authTimeout = authTimeout;
    return this;
  }

  /**
   * Validity period should be a value as follows: 0: Custom; 1: 30 Minutes; 2: 1 Hour; 3: 2 Hours; 4: 4 Hours; 5: 8 Hours; 6: 1 Day; 7: 7 Days integer.
   * @return authTimeout
  */
  @ApiModelProperty(required = true, value = "Validity period should be a value as follows: 0: Custom; 1: 30 Minutes; 2: 1 Hour; 3: 2 Hours; 4: 4 Hours; 5: 8 Hours; 6: 1 Day; 7: 7 Days integer.")
  @NotNull


  public Integer getAuthTimeout() {
    return authTimeout;
  }

  public void setAuthTimeout(Integer authTimeout) {
    this.authTimeout = authTimeout;
  }

  public AuthTimeOpenApiVo customTimeout(Integer customTimeout) {
    this.customTimeout = customTimeout;
    return this;
  }

  /**
   * Custom timeout should be within the range of 1 ~ 1,000,000 minutes(when parameter[customTimeoutUnit] value is 1), or 1 ~ 10,000 hours(when parameter[customTimeoutUnit] value is 2), or 1 ~ 1,000 days(when parameter[customTimeoutUnit] value is 3).
   * @return customTimeout
  */
  @ApiModelProperty(value = "Custom timeout should be within the range of 1 ~ 1,000,000 minutes(when parameter[customTimeoutUnit] value is 1), or 1 ~ 10,000 hours(when parameter[customTimeoutUnit] value is 2), or 1 ~ 1,000 days(when parameter[customTimeoutUnit] value is 3).")


  public Integer getCustomTimeout() {
    return customTimeout;
  }

  public void setCustomTimeout(Integer customTimeout) {
    this.customTimeout = customTimeout;
  }

  public AuthTimeOpenApiVo customTimeoutUnit(Integer customTimeoutUnit) {
    this.customTimeoutUnit = customTimeoutUnit;
    return this;
  }

  /**
   * Custom timeout unit should be a value as follows: 1: min; 2: hour; 3: day.
   * @return customTimeoutUnit
  */
  @ApiModelProperty(value = "Custom timeout unit should be a value as follows: 1: min; 2: hour; 3: day.")


  public Integer getCustomTimeoutUnit() {
    return customTimeoutUnit;
  }

  public void setCustomTimeoutUnit(Integer customTimeoutUnit) {
    this.customTimeoutUnit = customTimeoutUnit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuthTimeOpenApiVo authTimeOpenApiVo = (AuthTimeOpenApiVo) o;
    return Objects.equals(this.authTimeout, authTimeOpenApiVo.authTimeout) &&
        Objects.equals(this.customTimeout, authTimeOpenApiVo.customTimeout) &&
        Objects.equals(this.customTimeoutUnit, authTimeOpenApiVo.customTimeoutUnit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(authTimeout, customTimeout, customTimeoutUnit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuthTimeOpenApiVo {\n");
    
    sb.append("    authTimeout: ").append(toIndentedString(authTimeout)).append("\n");
    sb.append("    customTimeout: ").append(toIndentedString(customTimeout)).append("\n");
    sb.append("    customTimeoutUnit: ").append(toIndentedString(customTimeoutUnit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

